from smb.common.http_client import BaseHttpClientException


class MarketIntException(BaseHttpClientException):
    pass


class MarketIntUnknownError(MarketIntException):
    pass


class MarketIntNotFound(MarketIntException):
    pass


class MarketIntBadProto(MarketIntException):
    pass


class MarketIntConflict(MarketIntException):
    pass


class BadMarketIntResponse(MarketIntException):
    pass


class InvalidDatetimeTZ(MarketIntException):
    pass
